/*******************************************************************************
 * FoxDataProvider_GearInfo generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxDataProvider_GearInfo extends FoxDataProvider_Unlockable
    abstract
    transient
    native
    config(Game)
    perobjectconfig
    hidecategories(Object,UIRoot);

var const config string MAssetPath;
var const config string FAssetPath;
var const config string TranslucentMatPath;
var const config string TransparentMatPath;
var const config string ItemType;
var const config string ItemClass;
var const config FoxTypes.ETacticalGearType TacticalTypeID;
var const config int MaxAllowedEquipped;
var const config FoxPawnModInfo PawnMods;
var const config string FImageIconRef;

function SkeletalMesh GetSkelMeshAsset(bool bIsFemale, FoxPRI PRI)
{
    // End:0x48
    if(!bIsFemale && MAssetPath != "")
    {
        return SkeletalMesh(DynamicLoadObject(MAssetPath, class'SkeletalMesh', false));
    }
    // End:0x8E
    if(bIsFemale && FAssetPath != "")
    {
        return SkeletalMesh(DynamicLoadObject(FAssetPath, class'SkeletalMesh', false));
    }
    return none;
    //return ReturnValue;    
}

function StaticMesh GetStaticMeshAsset(bool bIsFemale, FoxPRI PRI)
{
    // End:0x48
    if(!bIsFemale && MAssetPath != "")
    {
        return StaticMesh(DynamicLoadObject(MAssetPath, class'StaticMesh', false));
    }
    // End:0x8E
    if(bIsFemale && FAssetPath != "")
    {
        return StaticMesh(DynamicLoadObject(FAssetPath, class'StaticMesh', false));
    }
    return none;
    //return ReturnValue;    
}

function Prestream(bool bEnable, FoxPRI PRI)
{
    local SkeletalMesh SkelmeshAsset;
    local int I;

    SkelmeshAsset = GetSkelMeshAsset(false, PRI);
    // End:0xF3
    if(SkelmeshAsset != none)
    {
        I = 0;
        J0x38:
        // End:0xF0 [Loop If]
        if(I < SkelmeshAsset.Materials.Length)
        {
            // End:0xE2
            if(SkelmeshAsset.Materials[I] != none)
            {
                SkelmeshAsset.Materials[I].SetForceMipLevelsToBeResident(true, bEnable, 10.0);
            }
            ++ I;
            // [Loop Continue]
            goto J0x38;
        }
    }
    // End:0x107
    else
    {
        GetStaticMeshAsset(false, PRI);
    }
    //return;    
}

function MaterialInstance GetTranslucentMaterial()
{
    return ((TranslucentMatPath != "") ? MaterialInstance(DynamicLoadObject(TranslucentMatPath, class'MaterialInstance', false)) : none);
    //return ReturnValue;    
}

function MaterialInstance GetTransparentMaterial()
{
    return ((TransparentMatPath != "") ? MaterialInstance(DynamicLoadObject(TransparentMatPath, class'MaterialInstance', false)) : none);
    //return ReturnValue;    
}

defaultproperties
{
    PawnMods=(SwitchWeaponSpeed=0,MeleeRange=0,Health=0,HealthRecharge=0,MovementSpeed=0,Stamina=0,HRVDuration=0,HRVRechargeRate=0,GearSlots=0,bCalculated=false,HelmetDamageReduction=0,BodyDamageReduction=0,LegsDamageReduction=0,SprintMultiplier=1.0,ToxicProtection=0,PermanentHealthProtection=0,IncendiaryProtection=0,ExplosiveProtection=0,ElectroProtection=0,MeleeProtection=0,InfraredProtection=0)
}